summaryrefslogtreecommitdiff
path: root/ci/docker
diff options
context:
space:
mode:
authorjwijenbergh <jeroenwijenbergh@protonmail.com>2022-03-25 12:23:28 +0100
committerjwijenbergh <jeroenwijenbergh@protonmail.com>2022-03-25 12:23:28 +0100
commit955b320565faa072f284cf4156020ce5811979ad (patch)
tree38801080fb2457d189647bcae3f62bee0964e0ca /ci/docker
parent192280cb3940eac9ea4a4ad7982c1e58f0138a42 (diff)
Set portal username and pass with env vars
Diffstat (limited to 'ci/docker')
-rw-r--r--ci/docker/docker-compose.yml6
-rw-r--r--ci/docker/starteduvpn.sh15
2 files changed, 17 insertions, 4 deletions
diff --git a/ci/docker/docker-compose.yml b/ci/docker/docker-compose.yml
index 12ad767..6c42e1f 100644
--- a/ci/docker/docker-compose.yml
+++ b/ci/docker/docker-compose.yml
@@ -1,5 +1,9 @@
version: '3'
+x-common-env: &common-env
+ PORTAL_USER: ${PORTAL_USER}
+ PORTAL_PASS: ${PORTAL_PASS}
+
networks:
eduvpn_network:
ipam:
@@ -20,6 +24,7 @@ services:
ipv4_address: 172.20.0.5
cap_add: # needed for wireguard
- NET_ADMIN
+ environment: *common-env
healthcheck:
test: ["CMD", "systemctl", "status", "wg-quick@wg0"] # Wait for wireguard to come online
interval: 5s
@@ -29,6 +34,7 @@ services:
build:
context: "."
dockerfile: 'ci/docker/go-test.docker'
+ environment: *common-env
depends_on:
eduvpnserver:
condition: service_healthy
diff --git a/ci/docker/starteduvpn.sh b/ci/docker/starteduvpn.sh
index 191ef79..cddf88c 100644
--- a/ci/docker/starteduvpn.sh
+++ b/ci/docker/starteduvpn.sh
@@ -1,5 +1,15 @@
#!/usr/bin/env bash
+if [[ -z "${PORTAL_USER}" ]]; then
+ printf "Error: No portal username set, set the PORTAL_USER env var\n"
+ exit 1
+fi
+
+if [[ -z "${PORTAL_PASS}" ]]; then
+ printf "Error: No portal username set, set the PORTAL_PASS env var\n"
+ exit 1
+fi
+
systemctl start php-fpm
systemctl start httpd
systemctl start crond
@@ -9,9 +19,6 @@ sleep 5
vpn-maint-apply-changes
-USER_NAME="docker"
-USER_PASS="docker"
-
-sudo -u apache vpn-user-portal-account --add "${USER_NAME}" --password "${USER_PASS}"
+sudo -u apache vpn-user-portal-account --add "${PORTAL_USER}" --password "${PORTAL_PASS}"
sleep infinity